#include<iostream>
using namespace std;
int main(){
    int N,M;
    cin>>N>>M;
    int opsezi=new int[2*N];
    for(int i=0;i<N;i++)
        cin>>opsezi[2*i]<<opsezi[2*i+1];
    for(int i=0;i<M;i++){
        int s,e,w;
        cin>>c>>e>>w;
        int izlaz=0;
        for(int j=s-1;j<=e-1;j++)
            if(w>=opsezi[2*j]&&w<=opsezi[2*j+1])
                izlaz++;
        cout<<izlaz<<endl;
    }
    return 0;
}